<!--
  - SPDX-FileCopyrightText: 2024 Nextcloud GmbH and Nextcloud contributors
  - SPDX-License-Identifier: AGPL-3.0-or-later
-->

<template>
	<WizardPage title="Mises à jour récentes de Framaspace">
		<div>
			<ul :class="$style.list">
				<li v-for="release in releases" :key="release.label" :class="[$style.listItem, {[$style.seen]: isSeen(release.version)}]">
					<h3>
						<span v-if="!isSeen(release.version)">
							🆕
						</span>
						{{ release.label }}
					</h3>
					<ul>
						<li v-for="(entry, index) of release.releaseNotes" :key="index" :class="$style.entry">
							<a v-if="typeof entry !== 'string'" :href="entry.link" target="_blank">
								{{ entry.label }} ↗
							</a>
							<template v-else>
								{{ entry }}
							</template>
						</li>
					</ul>
					<NcButton v-if="release.link"
						type="secondary"
						target="_blank"
						:href="release.link">
						En savoir plus ↗
					</NcButton>
				</li>
			</ul>

			<div :class="$style.help">
				<p>
					Pour aider Framasoft à fournir, mettre à jour et améliorer ces espaces, vous pouvez <a target="_blank"
						href="https://soutenir.framasoft.org/?mtm_campaign=space&mtm_kwd=onboarding">nous
						soutenir financièrement</a>.
				</p>
			</div>
		</div>
	</WizardPage>
</template>

<script setup lang="ts">
import releases from '../../releases.json'
import WizardPage from '../WizardPage.vue'
import NcButton from '@nextcloud/vue/dist/Components/NcButton.js'
import { loadState } from '@nextcloud/initial-state'
import { compareVersions } from 'compare-versions'

const lastSeenVersion = loadState<boolean>('firstrunwizard_fspace', 'lastSeenVersion', '0.0.0')

const isSeen = (version) => compareVersions(version, lastSeenVersion) < 1

</script>

<style module lang="scss">
.list {
	margin-inline: 1.5rem;
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.listItem {
	box-shadow: 0px 0px 10px 0px var(--color-box-shadow);
	border-radius: var(--border-radius-large);
	padding: calc(var(--default-grid-baseline) * 4);
	&:focus-visible {
		outline: 2px solid var(--color-main-text);
		box-shadow: 0 0 0 4px var(--color-main-background);
	}

	h3 {
		margin-top: 0.25rem;
		font-size: 1.6em;
		font-weight: 600;
	}
}

.seen {
	color: var(--color-text-lighter);
	& h3, & a {
		color: var(--color-text-lighter);
	}
}

.entry a {
	text-decoration: underline;
}

.entry {
	padding-block: var(--default-grid-baseline);
}

.help {
	margin-top: 2rem;
}

.help a {
	text-decoration: underline;
	color: var(--color-primary-element);
}
</style>
